# Venosyd Commom Validators
The Opensyd reusability approach for validators in Dart. Based on  
Verbal Expressions.

## Sample

- validateEmail
```javascript
var email = 'dude@email.com';
if (validadeEmail(email) {
    register(email);
}
```
	  
- validadeFutureDate

Used when you want to someone choose a date after today.
```javascript
var date = new DateTime('2099', '11', '21');
if (validadeFutureDate(date) {
    someCode(date);
}
```
	
- validateText / validateTextWithLimit

Used when you want to the user enters only characters used  
in common dissertative or descritive texts.
```javascript
var text = '''
    Lorem ipsum dolor sit amet, consectetur adipiscing elit. 
    In molestie bibendum gravida. Sed egestas venenatis ex, 
    vitae malesuada nibh consectetur nec. Integer posuere 
    pharetra justo, et egestas tellus imperdiet sed. Proin 
    eu augue molestie, egestas libero sed, tempus sapien. 
''';

if (validateText(text) {
    sendToBlog(text);
}
```
		
- validateName / validateNameWithSpace

Validate common used chars for names, in Western method (needs upgrade).
```javascript
var name = 'Roberto Santos Carlos Almeidinha';
if (validateNameWithSpace(name) {
    register(name);
}
```

- validateAddress
```javascript
var address = 'Priest Namegon St, 992 - Simula, DE';
if (validateAddress(address) {
    sendPackageTo(address);
}
```

- validatePhone
```javascript
var phone = '+42 11 99299-2299';
if (validatePhone(phone) {
    call(phone);
}
```
	
venosyd ©2016