/**
 * @author sergio lisan
 *
 *  see LICENSE
 *
 *  special char validators
 *
 */
import 'package:verbal_expressions/verbal_expressions.dart';

/// validate if something contains address
bool validateAddress(String address) {
  var regex = new VerbalExpression()
    ..add(r'[!@#$%"&*()=_+\[\]{}<>|\\/\^]+');

  return !regex.hasMatch(address) && !address.isEmpty;
}

/// apenas digitos
bool validatePhone(String phone) {
  var regex = new VerbalExpression()
    ..add(r'[a-zA-Z!@#$%"&.*=_+\[\]{}<>|\\/\^]+');

  return !regex.hasMatch(phone) && !phone.isEmpty;
}